<template>
  <div class="course-analysis-wrap">
    <bread-crumb :curmbFirst="curmbFirst" :curmbSecond="curmbSecond"></bread-crumb>
    <div class="component-content screenSet" id="screenSet">

      <el-form ref="formInline" :model="formInline" label-width="80px">
        <el-form-item label="选择地区：">
          <el-cascader
              size="small"
              :options="optionsRegion"
              v-model="formInline.region"
              @change="handleChange"
              filterable
              change-on-select
              style="width:330px"
            ></el-cascader>
        </el-form-item>
        <el-form-item label="选择机构：">
          <el-select
            size="small"
            v-model="formInline.organization"
            placeholder="请选择发布状态"
            @change="changeOrganization"
            multiple
            collapse-tags
            style="width:330px"
          >
            <el-option
              v-for="item in organizationList"
              :key="item.value"
              :label="item.label"
              :value="item.value"
            ></el-option>
          </el-select>
        </el-form-item>
        <div class="choose">{{ chooseOrganization }}</div>
        <el-tag
          v-for="tag in tags"
          :key="tag.name"
          closable>
          {{ tag }}
        </el-tag>
        <el-form-item label="">
          <el-checkbox size="small" v-model="formInline.checked">查看原始数据</el-checkbox>
        </el-form-item>
      </el-form>
      <!-- <div class="choose">{{ chooseOrganization }}</div> -->
      <div class="button-group">
        <el-button type="default" size="small" @click="exportExcel">导出Excel</el-button>
        <el-button type="default" size="small" @click="changeDate" v-if="activeName=='first'">数据调整</el-button>
        <el-button type="default" size="small" @click="update" v-else>修改范围</el-button>
        <el-button type="primary" size="small" @click="release">发布报告</el-button>
      </div>
      <el-tabs v-model="activeName" @tab-click="handleClick">
            <el-tab-pane label="参与情况" name="first">
              <part-in></part-in>
            </el-tab-pane>
            <el-tab-pane label="人群分析" name="second">
              <crowd-analysis ref="childCrowd" :formInline="formInline" :activeName="activeName">
              </crowd-analysis>
            </el-tab-pane>
            <el-tab-pane label="课程分析" name="third">
              <course-analysis ref="childCourse" :formInline="formInline" :activeName="activeName">
              </course-analysis>
            </el-tab-pane>
            <el-tab-pane label="考试分析" name="fourth">
              <examination-analysisfrom></examination-analysisfrom>
            </el-tab-pane>
            <el-tab-pane label="学习效果分析" name="fifth" lazy>
              <learning-effect></learning-effect>
            </el-tab-pane>
          </el-tabs>
    </div>
  </div>
</template>
<script>
import BreadCrumb from "../../components/breadcrumb.vue";
import CourseAnalysis from "./item-course-analysis.vue";
import CrowdAnalysis from "./item-crowd-analysis.vue";
import PartIn   from './item-part-in.vue';
import ExaminationAnalysisfrom from './item-examination-analysis.vue';
import LearningEffect from './item-learning-effect.vue';
import { create } from "domain";
import { mapGetters } from "vuex";
import { openLoading, closeLoading } from "../../utils/utils";
import * as commonUtil from "../../utils/utils";
import * as operationData from "../../utils/operation";
import { log } from 'util';

let vm = null;
export default {
  components: {
    BreadCrumb,
    CourseAnalysis,
    CrowdAnalysis,
    PartIn,
    ExaminationAnalysisfrom,
    LearningEffect
  },
  data() {
    return {
      curmbFirst: "学情报告",
      curmbSecond: "项目列表",
      organizationList: [
        {
          label: '全部',
          value: 0,
        },
        {
          label: "西湖区第二人民医院",
          value: 1,
        },
        {
          label: "杭州市中医院",
          value: 2,
        }
      ],
      chooseOrganization: "",
      optionsRegion: [],
      formInline: {
        region: [],
        date: "",
        organization: [],
        checked: false,
        pageNo: 1,
        pageSize: 10
      },
      tags: [],
      activeName: "first",
    };
  },
  computed: {
    ...mapGetters([
      "_token"
    ])
  },
  created() {
    vm = this;
    this.getRegionOption();
  },
  mounted: function() {
    commonUtil.resizeHeight();
  },
  methods: {
    handleClick(tab, event) {
      //console.log(tab, event);
      console.log('activeName',this.activeName);
      if(tab.name == "second") {
        
        this.$refs.childCrowd.$emit("init");
      }
    },
    handleChange(value) {
      console.log(value);
    },
    changeOrganization(value) {
      console.log(value);
      this.chooseOrganization = "";
      this.tags = [];
      for (let i = 0; i < this.organizationList.length; i++) {
        for(let j=0; j<value.length;j++) {
          if (value[j] == this.organizationList[i].value) {
            console.log('value[j]',j,value[j],this.organizationList[i].label )
            this.chooseOrganization += this.organizationList[i].label + '   ';
            this.tags.push(this.organizationList[i].label);
          }
        }
      }
    },
    getRegionOption() {
      this.optionsRegion = operationData.getRegionOption();
    },
    search() {
      //console.log(this.formInline,this.activeName);
      if (this.activeName == "first") {
      } else if (this.activeName == "second") {
        this.$refs.childCrowd.$emit("search");
      } else if (this.activeName == "third") {
        this.$refs.childCourse.$emit("search");
      } else if (this.activeName == "fourth") {
      } else if (this.activeName == "fifth") {
      }
    },
    reset() {},
    exportExcel() {
      console.log('excel');
    },
    update() {},
    release() {},
    changeDate() {
      this.$router.push('/data-alignment')
    }
  }
};
</script>
<style lang="scss">
.course-analysis-wrap {
  .component-content {
    background: #fff;
    padding: 10px;
    .header-title {
      padding: 10px 12px;
      font-size: 12px;
      color: #449284;
      border-bottom: 1px solid #efefef;
    }
    .button-group {
      // position: absolute;
      // right: 100px;
      float: right;
      margin-right: 20px;
    }
    .choose {
      font-size: 12px;
      margin-bottom: 20px;
    }
    .el-tabs__item.is-active {
      color: #409eff;
    }
    .el-tabs__header {
      width: 81%;
    }
  }
}
</style>